/*******************************************************************************
 * FoxLiveStreamingMod_UnlimitedGear generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxLiveStreamingMod_UnlimitedGear extends FoxLiveStreamingMod;

protected function bool IsPositive()
{
    return true;
    //return ReturnValue;    
}

protected function OnStart()
{
    SetupGear(false);
    //return;    
}

protected function OnEnd()
{
    SetupGear(true);
    //return;    
}

protected function OnPlayerRestartImpl()
{
    SetupGear(false);
    //return;    
}

private final function SetupGear(bool bConsumeAmmo)
{
    local FoxPawn Pawn;
    local Inventory Inv;
    local FoxWeapon Weap;

    Pawn = GetPawn();
    // End:0x198
    if((Pawn != none) && Pawn.InvManager != none)
    {
        Inv = Pawn.InvManager.InventoryChain;
        J0x86:
        // End:0x198 [Loop If]
        if(Inv != none)
        {
            Weap = FoxWeapon(Inv);
            // End:0x16D
            if(((Weap != none) && Weap.WeaponType != 0) && Weap.WeaponType != 1)
            {
                // End:0x144
                if(!bConsumeAmmo)
                {
                    Weap.FillAmmo();
                }
                Weap.SetConsumeAmmo(bConsumeAmmo);
            }
            Inv = Inv.Inventory;
            // [Loop Continue]
            goto J0x86;
        }
    }
    //return;    
}
